Subject: RE: [E3-hacking] DC adaptor?

From: Cliff Lawson <[email-masked]>
Date: Wed, 6 Jul 2005 15:04:45 +0100

Don't know if this'll help y'all but in house we use little boxes with a bit
of veroboard on which sits a MAX232 (and some TTL inversion if being used
for E3). To power it we generally just use the 5V on USB and either stick
this into the E2/E3's own USB (except that they don't have the 5V enabled
until boot has finished) or (more usually) stick it into the USB on a nearby
PC. You don't even need a fancy USB plug to do this - the copper "fingers"
on a piece of veroboard are the same pitch as USB pins anyway so a "4 wide"
bit of veroboard stuffed into a USB is an easy way to get 5V to power a
MAX232. Alternatively you can power the boxes with a 5V "wall wart" or even
a bench PSU but, on the whole, the USB power route is the easy solution.

Cliff

> -----Original Message-----
> From: en4rab [mailto:[email-masked]]
> Sent: 03 July 2005 04:51
> To: Discussion of the Amstrad E3 emailer hardware/software
> Subject: Re: [E3-hacking] DC adaptor?
> 
> 
> Im afraid I dont know anywhere that sells a finished product in a nice
> box but I have a couple of ideas.
> The first idea which im fairly sure will work ok is to buy a max232
> interface from either here:
> http://www.tailor-madecircuits.com/rs232_max.htm
> or here:
> http://shop.jabsplace.co.uk/index.php?main_page=product_info&c
> Path=11&products_id=8
> 
> These are meant to draw their power from the target device so 
> they have
> a pin for 5v to be applied to, since the E2 doesnt have an easily
> accessable supply, unless you dragged the jtag port out to a connector
> on the back :), It would probably be possible to power the interface
> with a 4.5v cmos backup battery such as this one from maplin:
> http://www.maplin.co.uk/Module.aspx?ModuleNo=22787&doy=3m7D
> connect the battery accross vcc and gnd, and then make a lead to take
> rxd txd and gnd to the exp port.
> Just be sure to disconnect the battery when the interface isnt in use.
> This is just an idea off the top of my head and it hasnt been tested,
> the only issue i can think of is if 4.5v is enough for the 
> max 232 which
> is a 5v part i think.
> 
> Im still not 100% sure what voltage the exp port is supposed 
> to work at,
> from reading other arm documentation i was under the 
> impression that arm
> devices I/O was 3.3v or there abouts so when i built my 
> interface I used
> a max3232 which is designed for operation from about 3v to 5v 
> and i took
> my supply from the the same point I used for Vref for the jtag, but
> others on this list are using 5v so i guess that is ok.
> (I must read the docs sometime lol)
> 
> A slightly more off the wall idea might be to sacrifice a 
> datacable for
> a nokia phone, i *think* that would work, and as a bonus 
> should draw its
> power from the PC's serial port, but i would have to look into it some
> more.
> The 2 shops above are selling the max232 interfaces because they are
> being used by people to communicate with a pace set top box, 
> but others
> have used nokia data cables with the ends chopped off to achieve the
> same results.
> Im off work on monday if i get a chance i wiil have a root 
> about and see
> if i can find a data cable to try it.
> If you wanted to have a go, try to find the oldest nokia cable you can
> and preferably an fbus only type (or one you can switch 
> between f and m
> bus)
> The F bus type has txd rxd and gnd (mbus has rxd and txd as one wire i
> think) I think a 3210 cable should work ok but other types should too.
> 
> This is all untested though so dont hold me responsible if 
> your E2 blows
> up or it doesnt work.
> your mileage will vary.
> en4rab
> 
> --- David Given <[email-masked]> wrote:
> 
> > Now I've discovered that my TTL line level converter board seems to
> > have died. 
> > Given that I had endless grief getting this to work in the first
> > place, does 
> > anyone know where I can get a ready-made converter that comes in,
> > like, a 
> > box? I know that the radio HAM community uses these things a lot, so
> > they 
> > might be a good source --- any suggestions?
> > 
> > -- 
> > "Curses! Foiled by the chilled dairy treats of righteousness!" ---
> > Earthworm 
> > Jim (evil)
> > > _______________________________________________
> > e3-hacking mailing list
> > [email-masked]
> > http://www.earth.li/cgi-bin/mailman/listinfo/e3-hacking
> > 
> 
> 
> --
> |     .-.   [email-masked]
> |    /   \         .-.
> |   /     \       /   \       .-.     .-.     _   _
> +--/-------\-----/-----\-----/---\---/---\---/-\-/-\/\/---
> | /         \   /       \   /     '-'     '-'
> |/           '-'         '-'  -END OF TRANSMISSION-
> 
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around 
> http://mail.yahoo.com 
> 
> _______________________________________________
> e3-hacking mailing list
> [email-masked]
> http://www.earth.li/cgi-bin/mailman/listinfo/e3-hacking
> 

This e-mail and any attachments are confidential and intended exclusively for the addressee. If you are not the intended recipient please delete it from your system and notify the sender immediately. This message is attributed to the sender and may not necessarily reflect the views of Amstrad Plc or its subsidiaries.

For further information on Amstrad Plc please visit our website: www.amstrad.com

Amstrad Plc.
Brentwood House
169 Kings Road
Brentwood
Essex CM14 4EF
Registered in England : No. 955321